## r-cran-cliapp 0.1.0

=== DESCRIPTION ===
Package: cliapp
Title: Create Rich Command Line Applications
Version: 0.1.0
Author: Gábor Csárdi
Maintainer: Gábor Csárdi <csardi.gabor@gmail.com>
Description: Create rich command line applications, with colors, headings,
    lists, alerts, progress bars, etc. It uses CSS for custom themes.
License: MIT + file LICENSE
LazyData: true
URL: https://github.com/r-lib/cliapp#readme
BugReports: https://github.com/r-lib/cliapp/issues
RoxygenNote: 6.1.1
Imports: cli, crayon, fansi, glue (>= 1.3.0), prettycode, progress (>=
        1.2.0), R6, selectr, utils, withr, xml2
Suggests: callr, covr, rstudioapi, testthat
Encoding: UTF-8
NeedsCompilation: no
Packaged: 2018-12-05 09:41:39 UTC; gaborcsardi
Repository: CRAN
Date/Publication: 2018-12-16 14:40:05 UTC

=== debian/changelog ===
r-cran-cliapp (0.1.0-2build1) groovy; urgency=medium

  * No-change rebuild against r-api-4.0

 -- Graham Inggs <ginggs@ubuntu.com>  Sun, 31 May 2020 05:51:03 +0000

r-cran-cliapp (0.1.0-2) unstable; urgency=medium

  * Standards-Version: 4.5.0 (routine-update)
  * debhelper-compat 12 (routine-update)
  * Add salsa-ci file (routine-update)
  * Rules-Requires-Root: no (routine-update)
  * Trim trailing whitespace.
  * Set upstream metadata fields: Archive, Bug-Database, Bug-Submit,
    Repository, Repository-Browse.

 -- Andreas Tille <tille@debian.org>  Mon, 18 May 2020 14:19:01 +0200

r-cran-cliapp (0.1.0-1) unstable; urgency=medium

  * Initial release (closes: #921517)

 -- Andreas Tille <tille@debian.org>  Wed, 06 Feb 2019 14:03:09 +0100

=== debian/control ===
Source: r-cran-cliapp
Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders: Andreas Tille <tille@debian.org>
Section: gnu-r
Testsuite: autopkgtest-pkg-r
Priority: optional
Build-Depends: debhelper-compat (= 12),
               dh-r,
               r-base-dev,
               r-cran-cli,
               r-cran-crayon,
               r-cran-fansi,
               r-cran-glue,
               r-cran-prettycode,
               r-cran-progress (>= 1.2.0),
               r-cran-r6,
               r-cran-selectr,
               r-cran-withr,
               r-cran-xml2
Standards-Version: 4.5.0
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-cliapp
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-cliapp.git
Homepage: https://cran.r-project.org/package=cliapp
Rules-Requires-Root: no

Package: r-cran-cliapp
Architecture: all
Depends: ${R:Depends},
         ${misc:Depends}
Recommends: ${R:Recommends}
Suggests: ${R:Suggests}
Description: create rich command line applications in GNU R
 This GNU R package enables to create rich command line applications,
 with colors, headings, lists, alerts, progress bars, etc. It uses CSS
 for custom themes.

## r-cran-cliapp 0.1.1

=== DESCRIPTION ===
Package: cliapp
Title: Create Rich Command Line Applications
Version: 0.1.1
Author: Gábor Csárdi
Maintainer: Gábor Csárdi <csardi.gabor@gmail.com>
Description: Create rich command line applications, with colors, headings,
    lists, alerts, progress bars, etc. It uses CSS for custom themes.
License: MIT + file LICENSE
LazyData: true
URL: https://github.com/r-lib/cliapp#readme
BugReports: https://github.com/r-lib/cliapp/issues
RoxygenNote: 7.1.1.9000
Imports: cli, crayon, fansi, glue (>= 1.3.0), prettycode, progress (>=
        1.2.0), R6, selectr, utils, withr, xml2
Suggests: callr, covr, rstudioapi, testthat
Encoding: UTF-8
NeedsCompilation: no
Packaged: 2020-10-07 10:30:35 UTC; gaborcsardi
Repository: CRAN
Date/Publication: 2020-10-07 11:00:02 UTC

=== debian/changelog ===
r-cran-cliapp (0.1.1-1) unstable; urgency=medium

  * New upstream version
  * debhelper-compat 13 (routine-update)

 -- Andreas Tille <tille@debian.org>  Mon, 12 Oct 2020 13:40:40 +0200

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Section: gnu-r
 Testsuite: autopkgtest-pkg-r
 Priority: optional
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev,
                r-cran-cli,

=== debian/tests/control ===
Tests: run-unit-test
Depends: @, r-cran-testthat, r-cran-callr
Restrictions: allow-stderr

## r-cran-cliapp 0.1.2

=== DESCRIPTION ===
Package: cliapp
Title: Create Rich Command Line Applications
Version: 0.1.2
Authors@R: c(
    person("Gábor", "Csárdi", , "csardi.gabor@gmail.com", role = c("aut", "cre")),
    person("Posit Software, PBC", role = c("cph", "fnd"))
  )
Description: Create rich command line applications, with colors, headings,
    lists, alerts, progress bars, etc. It uses CSS for custom themes.
    This package is now superseded by the 'cli' package. Please use 'cli'
    instead in new projects.
License: MIT + file LICENSE
URL: https://github.com/r-lib/cliapp#readme
BugReports: https://github.com/r-lib/cliapp/issues
Depends: R (>= 3.6)
Imports: cli, crayon, fansi, glue (>= 1.3.0), prettycode, progress (>=
        1.2.0), R6, selectr, utils, withr, xml2
Suggests: callr, covr, rstudioapi, testthat
Encoding: UTF-8
RoxygenNote: 7.2.3
NeedsCompilation: no
Packaged: 2024-04-24 20:40:33 UTC; gaborcsardi
Author: Gábor Csárdi [aut, cre],
  Posit Software, PBC [cph, fnd]
Maintainer: Gábor Csárdi <csardi.gabor@gmail.com>
Repository: CRAN
Date/Publication: 2024-04-24 20:50:02 UTC

=== debian/changelog ===
r-cran-cliapp (0.1.2-2) unstable; urgency=medium

  * Deactivate single test which leads to failure with r-cran-xml2 1.4.1
  * Standards-Version: 4.7.2 (routine-update)
  * cme fix dpkg-control

 -- Andreas Tille <tille@debian.org>  Tue, 28 Oct 2025 08:47:47 +0100

r-cran-cliapp (0.1.2-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.7.0 (routine-update)
  * dh-update-R to update Build-Depends (routine-update)
  * lintian-overrides for false positive "missing-dep-for-interpreter Rscript"

 -- Andreas Tille <tille@debian.org>  Sun, 12 May 2024 09:48:17 +0200

=== debian/control ===
Source: r-cran-cliapp
Standards-Version: 4.7.2
Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders:
 Andreas Tille <tille@debian.org>,
Section: gnu-r
Testsuite: autopkgtest-pkg-r
Priority: optional
Build-Depends:
 debhelper-compat (= 13),
 dh-r,
 r-base-dev,
 r-cran-cli,
 r-cran-crayon,
 r-cran-fansi,
 r-cran-glue,
 r-cran-prettycode,
 r-cran-progress,
 r-cran-r6,
 r-cran-selectr,
 r-cran-withr,
 r-cran-xml2,
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-cliapp
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-cliapp.git
Homepage: https://cran.r-project.org/package=cliapp
Rules-Requires-Root: no

Package: r-cran-cliapp
Architecture: all
Depends:
 ${R:Depends},
 ${misc:Depends},
Recommends:
 ${R:Recommends},
Suggests:
 ${R:Suggests},
Description: create rich command line applications in GNU R
 This GNU R package enables to create rich command line applications,
 with colors, headings, lists, alerts, progress bars, etc. It uses CSS
 for custom themes.

=== debian/tests/control ===
Tests: run-unit-test
Depends: @,
         r-cran-callr,
        r-cran-covr,
        r-cran-rstudioapi,
        r-cran-testthat
Restrictions: allow-stderr

=== debian/watch ===
version=4
https://cloud.r-project.org/src/contrib/cliapp_([-\d.]*)\.tar\.gz
